Skip to navigation

Delete elastic templates

View as Markdown

Deletes the elastic templates for an account specified in the clickwrapIds query parameter. Active elastic templates cannot be deleted.

Required authentication scopes: click.manage.

The response is a list of deleted elastic templates along with their disposition:

{
"clickwraps": [
{
"clickwrapId": ""798d8186-xxxx-xxxx-xxxx-abc22eb46640",
"clickwrapName": "Archive this",
"status": "Active",
"deletionMessage": "Active clickwrap version cannot be deleted."
},
{
"clickwrapId": ""3390d1cb-xxxx-xxxx-xxxx-fcbf0bd9ee13",
"clickwrapName": "Mesoamerica 101",
"status": "Deleted",
"deletionSuccess": true,
"deletionMessage": "Successfully deleted the clickwrap."
}
]
}

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

Query parameters

clickwrapIdsstringOptional

A comma-separated list of elastic template GUIDs to delete.

Response

Successful response.
clickwrapslist of objectsOptional
An array of clickwrap deletion results.

Errors

400
Bad Request Error